      Program Factorials
      Integer I, Fact                                                           
      Print *, 'Some Factorials:'  
      DO 10 I = 1, 7              
         Print 1, I, Fact(I)     
1        Format(1X,I2,'! = ', I10 ) 
10    Continue
             
      K = Fact(10)
      Print 1, 10, K
                   
      End         
